## xtrkcad 4.2.1

=== CMakeLists.txt ===
PROJECT(XTrkCAD)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/app)

# Setup high-level build options ...
IF(UNIX AND NOT APPLE)
	SET(XTRKCAD_USE_GTK_DEFAULT ON)
	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT ON)
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
	SET(XTRKCAD_USE_GTK_DEFAULT ON)
	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
ENDIF(APPLE)

IF(WIN32)
	CMAKE_MINIMUM_REQUIRED(VERSION 2.4.7 FATAL_ERROR)

	SET(XTRKCAD_USE_GTK_DEFAULT OFF)
	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT OFF)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)

	SET(CMAKE_C_FLAGS_DEBUG "/D_DEBUG /MTd /Zi  /Ob0 /Od /RTC1" CACHE STRING "Flags used by the compiler during debug builds" FORCE)
	SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O1 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release minumum size builds" FORCE)
	SET(CMAKE_C_FLAGS_RELEASE "/MT /O2 /Ob2 /D NDEBUG" CACHE STRING "Flags used by the compiler during release builds" FORCE)
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MT /Zi /O2 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release with debug info builds" FORCE)
	
	ADD_DEFINITIONS(-DWINDOWS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)
SET(XTRKCAD_USE_LAYOUTCONTROL_DEFAULT OFF)
OPTION(XTRKCAD_USE_GTK "Use GTK for the graphical user interface back-end" ${XTRKCAD_USE_GTK_DEFAULT})
OPTION(XTRKCAD_USE_GTK_CAIRO "Use Cairo for high-quality antialiased rendering" ${XTRKCAD_USE_GTK_CAIRO_DEFAULT})
OPTION(XTRKCAD_USE_GETTEXT "Use gettext for internationalization" ${XTRKCAD_USE_GETTEXT_DEFAULT})
OPTION(XTRKCAD_USE_LAYOUTCONTROL "Include layout control commands" ${XTRKCAD_USE_LAYOUTCONTROL_DEFAULT})
OPTION(XTRKCAD_USE_DOXYGEN "Generate internals documentation using doxygen" ${XTRKCAD_USE_DOXYGEN_DEFAULT})

IF(APPLE)
	OPTION(XTRKCAD_USE_PACKAGEMAKER "Generate an OSX PackageMaker package for distribution." OFF)
ENDIF(APPLE)

# Hide the advanced stuff ...
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
MARK_AS_ADVANCED(CMAKE_EXECUTABLE_FORMAT)
MARK_AS_ADVANCED(CMAKE_OSX_ARCHITECTURES)
MARK_AS_ADVANCED(CMAKE_OSX_SYSROOT)
MARK_AS_ADVANCED(CMAKE_USE_CHRPATH)
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)

# Test for dependencies ...
IF(WIN32 AND NOT XTRKCAD_USE_GTK)
	FIND_PACKAGE(HTMLHelp REQUIRED)
ENDIF(WIN32 AND NOT XTRKCAD_USE_GTK)

IF(XTRKCAD_USE_GTK)
	INCLUDE(FindPkgConfig)
	PKG_CHECK_MODULES(GTK REQUIRED "gtk+-2.0")
	PKG_CHECK_MODULES(GTK_WEBKIT REQUIRED "webkit-1.0")
ENDIF(XTRKCAD_USE_GTK)

IF(XTRKCAD_USE_PACKAGEMAKER)
	IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
		MESSAGE(SEND_ERROR "XTRKCAD_USE_PACKAGEMAKER requires CMAKE_INSTALL_PREFIX set to /usr.")
	ENDIF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
ENDIF(XTRKCAD_USE_PACKAGEMAKER)

# Test for headers and libraries for portability ...

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)

# Setup some global options for installation ...
SET(XTRKCAD_MAJOR_VERSION "4")
SET(XTRKCAD_MINOR_VERSION "2")
SET(XTRKCAD_RELEASE_VERSION "1")
SET(XTRKCAD_VERSION_MODIFIER "")
SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")

IF(WIN32)
	SET( CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX} ${XTRKCAD_VERSION}" )
ENDIF(WIN32)
SET(XTRKCAD_BIN_INSTALL_DIR "bin")
SET(XTRKCAD_LOCALE_INSTALL_DIR "share/locale")
SET(XTRKCAD_PACKAGE "xtrkcad")
SET(XTRKCAD_SHARE_INSTALL_DIR "share/xtrkcad")

# Enable use of a configuration file ...
ADD_DEFINITIONS(-DXTRKCAD_CMAKE_BUILD)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/xtrkcad-config.h)

# Setup the rest of the build ...
ADD_SUBDIRECTORY(app)
ADD_SUBDIRECTORY(distribution)
ADD_SUBDIRECTORY(docs)

=== app/wlib/gtklib/CMakeLists.txt ===
FILE(GLOB HEADERS *.h)

SET(SOURCES
	gtkbitmap.c
	gtkbutton.c
	gtkcolor.c
	gtkfilsel.c
	gtkfont.c
	gtkhelp.c
	gtklist.c
	gtkmenu.c
	gtkmisc.c
	gtksimple.c
	gtksingle.c
	gtksplash.c
	gtktext.c
	gtkwindow.c
	gtkxpm.c
	psprint.c
	wpref.c
	)

IF(XTRKCAD_USE_GTK_CAIRO)
	SET(SOURCES ${SOURCES} gtkdraw-cairo.c)
ELSE(XTRKCAD_USE_GTK_CAIRO)
	SET(SOURCES ${SOURCES} gtkdraw.c)
ENDIF(XTRKCAD_USE_GTK_CAIRO)

SET_SOURCE_FILES_PROPERTIES(wpref.c PROPERTIES COMPILE_FLAGS -DEXPORT=)

INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GTK_WEBKIT_INCLUDE_DIRS})

ADD_LIBRARY(xtrkcad-wlib ${HEADERS} ${SOURCES})
TARGET_LINK_LIBRARIES(xtrkcad-wlib ${GTK_LIBRARIES})
TARGET_LINK_LIBRARIES(xtrkcad-wlib ${GTK_WEBKIT_LIBRARIES})

=== debian/changelog ===
xtrkcad (1:4.2.1-1) unstable; urgency=low

  * new upstream version, closes: #622924
  * packaging updates and fixes; removes patchset for help system as is now
    integrated upstream
  * turnout naming fix from upstream, closes: #784423

 -- Daniel E. Markle <dmarkle@ashtech.net>  Sun, 08 Nov 2015 14:52:44 -0500

=== debian/control ===
Source: xtrkcad
Section: editors
Priority: extra
Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkit-dev, libcairo2-dev, cmake
Standards-Version: 3.9.6
Homepage: http://xtrkcad.org/
#Vcs-Git: git://git.debian.org/collab-maint/xtrkcad.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xtrkcad.git;a=summary

Package: xtrkcad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Model Train Track CAD Program
 This program allows you to design model train layouts.  It is fundamentally
 a drawing (CAD) program, but tailored to some of the specific issues in the
 model train world.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Explicitly set build flags variables to allow hardening
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	mkdir -p build
	(cd build ; cmake -D CMAKE_BUILD_TYPE=Release \
	-D CMAKE_INSTALL_PREFIX=/usr/ \
	-D XTRKCAD_USE_GETTEXT=ON \
	-D XTRKCAD_USE_GTK=ON \
	-D XTRKCAD_USE_GTK_CAIRO=ON \
	-D XTRKCAD_USE_LAYOUTCONTROL=ON ../)
	(cd build ; make)

clean:
	dh_testdir
	rm -rf build
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_auto_install -Dbuild
	rm -f debian/xtrkcad/usr/share/xtrkcad/COPYING
	dh_install
	dh_installmenu
	dh_installman debian/xtrkcad.1
	dh_installchangelogs
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xtrkcad 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 if(COMMAND cmake_policy)
     cmake_policy(SET CMP0003 NEW)
+    if( POLICY CMP0026 )
+	cmake_policy(SET CMP0026 OLD)
+    endif( POLICY CMP0026 ) 	
 endif(COMMAND cmake_policy)
 
 SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)
@@ -82,7 +85,7 @@
 # Setup some global options for installation ...
 SET(XTRKCAD_MAJOR_VERSION "4")
 SET(XTRKCAD_MINOR_VERSION "2")
-SET(XTRKCAD_RELEASE_VERSION "1")
+SET(XTRKCAD_RELEASE_VERSION "2")
 SET(XTRKCAD_VERSION_MODIFIER "")
 SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")

=== app/CMakeLists.txt ===
# "bin/i18n.h" is widely used
INCLUDE_DIRECTORIES(bin)

# Setup the rest of the build ...
ADD_SUBDIRECTORY(wlib)
ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(bin)
ADD_SUBDIRECTORY(lib)

IF(XTRKCAD_USE_GETTEXT)
	ADD_SUBDIRECTORY(i18n)
ENDIF(XTRKCAD_USE_GETTEXT)

=== distribution/CMakeLists.txt ===
# Setup global packaging parameters ...
SET(CPACK_PACKAGE_DESCRIPTION "XTrackCad is a CAD program for designing model railroad layouts.")
SET(CPACK_PACKAGE_EXECUTABLES "xtrkcad;XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_NAME "xtrkcad")
SET(CPACK_PACKAGE_VENDOR "http://www.xtrkcad.org")
SET(CPACK_PACKAGE_VERSION ${XTRKCAD_VERSION})
SET(CPACK_PACKAGE_VERSION_MAJOR ${XTRKCAD_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${XTRKCAD_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION_PATCH ${XTRKCAD_RELEASE_VERSION})
SET(CPACK_RESOURCE_FILE_LICENSE "${XTrkCAD_SOURCE_DIR}/app/COPYING")
SET(CPACK_SOURCE_GENERATOR "ZIP;TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "xtrkcad-source-${XTRKCAD_VERSION}")

# Setup platform-specific packaging ...
IF(APPLE)
	ADD_SUBDIRECTORY(osx)
ENDIF(APPLE)

IF(UNIX AND NOT APPLE)
	ADD_SUBDIRECTORY(posix)
ENDIF(UNIX AND NOT APPLE)

IF(WIN32)
	ADD_SUBDIRECTORY(win32)
ENDIF(WIN32)

=== app/bin/CMakeLists.txt ===
ADD_EXECUTABLE(cnvdsgn cnvdsgn.c utility.c)
GET_TARGET_PROPERTY(cnvdsgn_EXE cnvdsgn LOCATION)
IF(NOT WIN32)
	TARGET_LINK_LIBRARIES(cnvdsgn m)
ENDIF(NOT WIN32)

MACRO(GENERATE_LIN lin_name)
	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lin_name}.lin
		DEPENDS cnvdsgn ${CMAKE_CURRENT_SOURCE_DIR}/${lin_name}.src
		COMMAND ${cnvdsgn_EXE} < ${CMAKE_CURRENT_SOURCE_DIR}/${lin_name}.src > ${CMAKE_CURRENT_BINARY_DIR}/${lin_name}.lin
		)
ENDMACRO(GENERATE_LIN)

GENERATE_LIN(to3way)
GENERATE_LIN(tocrv)
GENERATE_LIN(tocrvsct)
GENERATE_LIN(todcross)
GENERATE_LIN(todslip)
GENERATE_LIN(tolcross)
GENERATE_LIN(torcross)
GENERATE_LIN(toreg)
GENERATE_LIN(tosslip)
GENERATE_LIN(tostrsct)
GENERATE_LIN(towye)
GENERATE_LIN(toxing)

SET(LIN_SOURCES
	${CMAKE_CURRENT_BINARY_DIR}/to3way.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocrv.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocrvsct.lin
	${CMAKE_CURRENT_BINARY_DIR}/todcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/todslip.lin
	${CMAKE_CURRENT_BINARY_DIR}/tolcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/torcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/toreg.lin
	${CMAKE_CURRENT_BINARY_DIR}/tosslip.lin
	${CMAKE_CURRENT_BINARY_DIR}/tostrsct.lin
	${CMAKE_CURRENT_BINARY_DIR}/towye.lin
	${CMAKE_CURRENT_BINARY_DIR}/toxing.lin
	)

GET_TARGET_PROPERTY(genhelp_EXE genhelp LOCATION)

IF(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bhi")
	#
	# Find the GnuWin32 installation directory, the gettext include should be located in subdir include
	#
	IF(WIN32)
		ADD_DEFINITIONS(-DUSE_SIMPLE_GETTEXT )
	ENDIF(WIN32)
ELSE(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bh")
ENDIF(XTRKCAD_USE_GETTEXT)

ADD_CUSTOM_COMMAND(
       OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/bllnhlp.c
       DEPENDS genhelp ${help_SOURCE_DIR}/genhelp.in
       COMMAND ${genhelp_EXE} ${GENHELP_OPTS} ${help_SOURCE_DIR}/genhelp.in ${CMAKE_CURRENT_BINARY_DIR}/bllnhlp.c
       )

SET(SOURCES
	${LIN_SOURCES}
	bllnhlp.c
	ccurve.c
	cdraw.c
	celev.c
	cgroup.c
	chndldto.c
	chotbar.c
	cjoin.c
	cmisc.c
	cmodify.c
	cnote.c
	compound.c
	cparalle.c
	cprint.c
	cprofile.c
	cpull.c
	cruler.c
	cselect.c
	csnap.c
	csplit.c
	cstraigh.c
	cstruct.c
	ctext.c
	ctodesgn.c
	ctrain.c
	cturnout.c
	cturntbl.c
	cundo.c
	custom.c
	dbench.c
	dbitmap.c
	dcar.c
	dcmpnd.c
	dcustmgm.c
	dease.c
	denum.c
	dlayer.c
	doption.c
	dpricels.c
	dprmfile.c
	draw.c
	drawgeom.c
	elev.c
	fileio.c
	i18n.c
	lprintf.c
	macro.c
	misc2.c
	param.c
	shrtpath.c
	smalldlg.c
	tcurve.c
	tease.c
	track.c
	trkseg.c
	tstraigh.c
	utility.c
	)

IF(XTRKCAD_USE_LAYOUTCONTROL)
	SET(SOURCES
		${SOURCES}
		cblock.c
		cswitchmotor.c
		)
ENDIF(XTRKCAD_USE_LAYOUTCONTROL)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
INCLUDE_DIRECTORIES(${help_BINARY_DIR})
INCLUDE_DIRECTORIES(${wlib_SOURCE_DIR}/include)

# find libintl.h and use it
find_path ( INTL_PATH libintl.h )
if(INTL_PATH)
	INCLUDE_DIRECTORIES(${INTL_PATH})
endif(INTL_PATH)

LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})
LINK_DIRECTORIES(${GTK_WEBKIT_LIBRARY_DIRS})

ADD_LIBRARY(xtrkcad-lib ${SOURCES})

# This ensures that messages.h has been generated before we build xtrkcad-lib
ADD_DEPENDENCIES(xtrkcad-lib Help)

ADD_EXECUTABLE(xtrkcad WIN32
	misc.c 
	xtrkcad.rc
	)
TARGET_LINK_LIBRARIES(xtrkcad xtrkcad-lib)
TARGET_LINK_LIBRARIES(xtrkcad xtrkcad-wlib)

ADD_EXECUTABLE(mkturnout
	${LIN_SOURCES}
	ctodesgn.c
	utility.c
	)
SET_TARGET_PROPERTIES(mkturnout PROPERTIES COMPILE_FLAGS -DMKTURNOUT)

IF(NOT WIN32)
	TARGET_LINK_LIBRARIES(mkturnout m)
	TARGET_LINK_LIBRARIES(xtrkcad m)
	
	# Link libintl for systems where it is a separate library
	find_library( INTL_LIBRARY intl )
	if(INTL_LIBRARY)
		target_link_libraries( mkturnout ${INTL_LIBRARY} )
	endif(INTL_LIBRARY)
ELSE(NOT WIN32)
	TARGET_LINK_LIBRARIES(mkturnout xtrkcad-wlib)
ENDIF(NOT WIN32)	

INSTALL(
	TARGETS xtrkcad
	RUNTIME DESTINATION ${XTRKCAD_BIN_INSTALL_DIR}
	)

=== app/doc/CMakeLists.txt ===
PROJECT(doc)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/intro.but.in ${CMAKE_CURRENT_BINARY_DIR}/intro.but)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/clean-html.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/hhc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/hhc.cmake @ONLY)

FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html)

GET_TARGET_PROPERTY(HALIBUT_COMMAND halibut LOCATION)

SET(HALIBUT_SOURCES
	${CMAKE_CURRENT_BINARY_DIR}/intro.but
	${CMAKE_CURRENT_SOURCE_DIR}/addm.but
	${CMAKE_CURRENT_SOURCE_DIR}/changem.but
	${CMAKE_CURRENT_SOURCE_DIR}/drawm.but
	${CMAKE_CURRENT_SOURCE_DIR}/editm.but 
	${CMAKE_CURRENT_SOURCE_DIR}/filem.but
	${CMAKE_CURRENT_SOURCE_DIR}/helpm.but
	${CMAKE_CURRENT_SOURCE_DIR}/hotbar.but
	${CMAKE_CURRENT_SOURCE_DIR}/macrom.but
	${CMAKE_CURRENT_SOURCE_DIR}/managem.but
	${CMAKE_CURRENT_SOURCE_DIR}/optionm.but
	${CMAKE_CURRENT_SOURCE_DIR}/statusbar.but
	${CMAKE_CURRENT_SOURCE_DIR}/view_winm.but
	${CMAKE_CURRENT_SOURCE_DIR}/navigation.but
	${CMAKE_CURRENT_SOURCE_DIR}/appendix.but
	${help_BINARY_DIR}/messages.but
	${CMAKE_CURRENT_SOURCE_DIR}/upgrade.but
	${CMAKE_CURRENT_SOURCE_DIR}/warranty.but
	)

# Add a custom command for cleaning the HTML staging directory
ADD_CUSTOM_TARGET(clean-html
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
	)

# If we're using the GTK back-end, just generate "vanilla" HTML help files for use with gtkhtml
IF(XTRKCAD_USE_GTK)

	SET(HALIBUT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/linconf.but ${HALIBUT_SOURCES})

	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
		DEPENDS halibut ${HALIBUT_SOURCES}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
		COMMAND ${HALIBUT_COMMAND} ${HALIBUT_SOURCES}
		)

	ADD_CUSTOM_TARGET(help-html ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/html/index.html)

	INSTALL(
		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
		)

	INSTALL(
		DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/png.d
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/html
		)

	INSTALL(
		FILES xtrkcad_lin.css
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/html
		)

# Otherwise, we're using the Win32 back-end, so generate a compiled HTML help file
ELSE(XTRKCAD_USE_GTK)

	SET(HALIBUT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/chmconf.but ${HALIBUT_SOURCES})
	FILE(GLOB IMAGE_SOURCES png.d/*)

	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm
		DEPENDS halibut ${HALIBUT_SOURCES} ${IMAGE_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad_win.css
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
		COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/png.d ${CMAKE_CURRENT_BINARY_DIR}/html/png.d
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad_win.css ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${HALIBUT_COMMAND} ${HALIBUT_SOURCES}
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/hhc.cmake
		)

	ADD_CUSTOM_TARGET(help-chm ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm)

	INSTALL(
		FILES ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
		)

ENDIF(XTRKCAD_USE_GTK)

=== app/lib/CMakeLists.txt ===

# $Header: /home/dmarkle/xtrkcad-fork-cvs/xtrkcad/app/lib/CMakeLists.txt,v 1.6 2008-03-27 18:17:16 m_fischer Exp $
#

PROJECT(lib)

ADD_SUBDIRECTORY(demos)
ADD_SUBDIRECTORY(examples)
ADD_SUBDIRECTORY(params)

INSTALL(FILES 
	COPYING
	Readme.txt
	logo.bmp
	xtrkcad.xtq
	DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
	)

=== app/tools/CMakeLists.txt ===
ADD_EXECUTABLE(addcrlf addcrlf.c)

ADD_EXECUTABLE(bin2c bin2c.c)

SET ( SOURCES listxtp.c )

IF (WIN32)
	SET ( SOURCES
		  ${SOURCES}	
		  dirent.c)
		  
	INCLUDE_DIRECTORIES( BEFORE ${CMAKE_CURRENT_SOURCE_DIR})	  
ENDIF (WIN32)
				 
ADD_EXECUTABLE( listxtp ${SOURCES})

ADD_SUBDIRECTORY(halibut)

=== distribution/osx/CMakeLists.txt ===
# Automatically generate most of our external dependencies ...
GET_TARGET_PROPERTY(XTRKCAD_LOCATION xtrkcad LOCATION)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/dependencies.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/dependencies.cmake" @ONLY)
INSTALL(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/dependencies.cmake")

# Handle some external dependencies that can't be detected automatically ...
SET(MACPORTS_DIR "/opt/local" CACHE PATH "Root directory containing installed MacPort packages")
MARK_AS_ADVANCED(MACPORTS_DIR)

INSTALL(DIRECTORY
  ${MACPORTS_DIR}/lib/gtk-2.0
  DESTINATION lib
  USE_SOURCE_PERMISSIONS
  )

INSTALL(DIRECTORY
  ${MACPORTS_DIR}/etc/gtk-2.0
  DESTINATION etc
  USE_SOURCE_PERMISSIONS
  )

INSTALL(DIRECTORY
  ${MACPORTS_DIR}/lib/pango
  DESTINATION lib
  USE_SOURCE_PERMISSIONS
  )

INSTALL(DIRECTORY
  ${MACPORTS_DIR}/lib/gdk-pixbuf-2.0
  DESTINATION lib
  USE_SOURCE_PERMISSIONS
  )

INSTALL(FILES
  ${MACPORTS_DIR}/etc/pango/pangorc
  ${MACPORTS_DIR}/etc/pango/pango.modules
  DESTINATION etc/pango
  )

INSTALL(FILES
  ${MACPORTS_DIR}/etc/fonts/fonts.conf
  ${MACPORTS_DIR}/etc/fonts/fonts.dtd
  DESTINATION etc/fonts
  )

INSTALL(FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/yosemite-fix/libxml2.2.dylib
  ${CMAKE_CURRENT_SOURCE_DIR}/yosemite-fix/libz.1.dylib
  ${CMAKE_CURRENT_SOURCE_DIR}/yosemite-fix/libiconv.2.dylib
  DESTINATION lib
)

# Generate bundles ...
ADD_SUBDIRECTORY(bundle)

=== distribution/posix/CMakeLists.txt ===
# Setup packaging ...
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTrackCAD is a CAD program for designing model railroad layouts.")
SET(CPACK_GENERATOR "TGZ" "RPM" "TBZ2")
SET(CPACK_PACKAGE_RELEASE 1)
SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
SET(CPACK_RPM_PACKAGE_GROUP "Applications/Engineering")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}////xtrkcad-desc.txt")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}-${CPACK_PACKAGE_RELEASE}.${CMAKE_SYSTEM_PROCESSOR}")
SET(CPACK_INSTALL_PREFIX "/usr/local/" )
SET(CPACK_PACKAGE_VENDOR "XTrackCAD Fork Project")
SET(CPACK_RPM_PACKAGE_REQUIRES "glibc gtk2 webkitgtk")
# exclude these directories from the  rpm
SET(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "/usr/share/locale"
	"/usr/share/locale/*"
)

SET(CPACK_RPM_CHANGELOG_FILE "${CMAKE_CURRENT_SOURCE_DIR}////changelog.txt")

INCLUDE(CPack)

=== app/lib/params/CMakeLists.txt ===

# $Header: /home/dmarkle/xtrkcad-fork-cvs/xtrkcad/app/lib/params/CMakeLists.txt,v 1.9 2008-06-04 18:53:04 m_fischer Exp $
#
# CMakeList for the params directory
#
# Several xtp files are created from text definitions, all xtp files and the 
# created xtp files are installed.
#

FILE(GLOB XTP_FILES *.xtp)

SET( outFiles )

#  create param files from car definitions

ADD_EXECUTABLE( mkcarpart mkcarpart.c )
GET_TARGET_PROPERTY(mkcarpart_EXE mkcarpart LOCATION)

FILE(GLOB inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.cars")
	 
FOREACH(infileName ${inFiles})
    # Generate output file name
    STRING(REGEX REPLACE ".cars\$" ".xtp" outfileName "${infileName}")
    SET(outfile "${CMAKE_CURRENT_BINARY_DIR}/${outfileName}")
    # Generate input file name
    SET(infile "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}")
    # Custom command to do the processing
    ADD_CUSTOM_COMMAND(OUTPUT "${outfile}"
        COMMAND ${mkcarpart_EXE} "${infile}" "${outfile}"
        DEPENDS "${infile}" mkcarpart
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
    # Finally remember the output file for dependencies
    SET(outFiles ${outFiles} "${outfile}")
ENDFOREACH(infileName)

# create param files from  structure definitions

ADD_EXECUTABLE( mkstruct mkstruct.c )
GET_TARGET_PROPERTY(mkstruct_EXE mkstruct LOCATION)

FILE(GLOB inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.struct")

# define build commands for all struct files
FOREACH(infileName ${inFiles})
    # Generate output file name
    STRING(REGEX REPLACE ".struct\$" ".xtp" outfileName "${infileName}")
    SET(outfile "${CMAKE_CURRENT_BINARY_DIR}/${outfileName}")
    # Generate input file name
    SET(infile "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}")
    # Custom command to do the processing
    ADD_CUSTOM_COMMAND(OUTPUT "${outfile}"
        COMMAND ${mkstruct_EXE} "${infile}" "${outfile}"
        DEPENDS "${infile}" mkstruct
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}" )
    # Finally remember the output file for dependencies
    SET(outFiles ${outFiles} "${outfile}")
ENDFOREACH(infileName)

# create turnouts from NMRA definition file

ADD_EXECUTABLE( nmra-to nmra-to.c )
IF(NOT WIN32)
	TARGET_LINK_LIBRARIES(nmra-to m)
ENDIF(NOT WIN32)
GET_TARGET_PROPERTY(nmra-to_EXE nmra-to LOCATION)

# find all turnout files
FILE(GLOB inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.to")

# define build commands for all struct files
FOREACH(infileName ${inFiles})
    # Generate output file name
    STRING(REGEX REPLACE ".to\$" ".xtp" outfileName "${infileName}")
    SET(outfile "${CMAKE_CURRENT_BINARY_DIR}/${outfileName}")
    # Generate input file name
    SET(infile "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}")
    # Custom command to do the processing
    ADD_CUSTOM_COMMAND(OUTPUT "${outfile}"
        COMMAND ${nmra-to_EXE} "${infile}" "${outfile}"
        DEPENDS "${infile}" nmra-to
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
    # Finally remember the output file for dependencies
    SET(outFiles ${outFiles} "${outfile}")
ENDFOREACH(infileName)


ADD_CUSTOM_TARGET(xtpfiles ALL DEPENDS ${outFiles})

INSTALL(
	FILES ${XTP_FILES} t-trak-notes.txt ${outFiles}
	DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/params
	)

=== app/tools/halibut/CMakeLists.txt ===
SET(SOURCES
	biblio.c 
	bk_html.c 
	contents.c 
	deflate.c 
	error.c
	halibut.h 
	help.c 
	index.c 
	input.c
	in_pf.c 
	in_afm.c 
	psdata.c 
	bk_paper.c
	keywords.c 
	licence.c 
	main.c 
	malloc.c
	misc.c 
	tree234.c 
	tree234.h 
	ustring.c
	version.c 
	wcwidth.c
	)

INCLUDE_DIRECTORIES(charset)
ADD_EXECUTABLE(halibut ${SOURCES})
TARGET_LINK_LIBRARIES(halibut xtrkcad-charset)

ADD_SUBDIRECTORY(charset)

=== app/wlib/gtklib/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	gtkbitmap.c
 	gtkbutton.c
 	gtkcolor.c
-	gtkfilsel.c
+	filesel.c
 	gtkfont.c
 	gtkhelp.c
 	gtklist.c

=== debian/changelog ===
xtrkcad (1:4.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition (Closes: #635432).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:38:06 +0100

xtrkcad (1:4.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix licenses (Closes: #811091).
  * Bump std-version to 3.9.7.
  * Update rules file to new dh sequencer.
    (add manpages file)
  * Remove useless include-binaries file.
  * Use cmake build with debug symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:05:22 +0100

xtrkcad (1:4.2.2-1) unstable; urgency=low

  * new upstream version
  * dep5 copyright file added
  * removed obsolete debian menu entry
  * removed harden patch now upstream

 -- Daniel E. Markle <dmarkle@ashtech.net>  Thu, 19 Nov 2015 01:20:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: extra
 Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkit-dev, libcairo2-dev, cmake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkitgtk-dev, libcairo2-dev, cmake
+Standards-Version: 3.9.7
 Homepage: http://xtrkcad.org/
 #Vcs-Git: git://git.debian.org/collab-maint/xtrkcad.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/xtrkcad.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
			-DMAKE_BUILD_TYPE=RelWithDebInfo \
			-DXTRKCAD_USE_GETTEXT=ON \
			-DXTRKCAD_USE_GTK=ON \
			-DXTRKCAD_USE_GTK_CAIRO=ON \
			-DXTRKCAD_USE_LAYOUTCONTROL=ON

override_dh_install:
	dh_install
	rm -f debian/xtrkcad/usr/share/xtrkcad/COPYING

=== debian/watch ===
version=3
opts="downloadurlmangle=s/$/\//,filenamemangle=s/$//" \
  http://sourceforge.net/projects/xtrkcad-fork/files/XTrackCad/ Version%20(.*)/

## xtrkcad 4.2.4a

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,11 @@
 # Setup high-level build options ...
 IF(UNIX AND NOT APPLE)
 	SET(XTRKCAD_USE_GTK_DEFAULT ON)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT ON)
 ENDIF(UNIX AND NOT APPLE)
 
 IF(APPLE)
 	SET(XTRKCAD_USE_GTK_DEFAULT ON)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
 ENDIF(APPLE)
 
@@ -20,7 +18,6 @@
 	CMAKE_MINIMUM_REQUIRED(VERSION 2.4.7 FATAL_ERROR)
 
 	SET(XTRKCAD_USE_GTK_DEFAULT OFF)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT OFF)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
 
 	SET(CMAKE_C_FLAGS_DEBUG "/D_DEBUG /MTd /Zi  /Ob0 /Od /RTC1" CACHE STRING "Flags used by the compiler during debug builds" FORCE)
@@ -40,11 +37,8 @@
 endif(COMMAND cmake_policy)
 
 SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)
-SET(XTRKCAD_USE_LAYOUTCONTROL_DEFAULT OFF)
 OPTION(XTRKCAD_USE_GTK "Use GTK for the graphical user interface back-end" ${XTRKCAD_USE_GTK_DEFAULT})
-OPTION(XTRKCAD_USE_GTK_CAIRO "Use Cairo for high-quality antialiased rendering" ${XTRKCAD_USE_GTK_CAIRO_DEFAULT})
 OPTION(XTRKCAD_USE_GETTEXT "Use gettext for internationalization" ${XTRKCAD_USE_GETTEXT_DEFAULT})
-OPTION(XTRKCAD_USE_LAYOUTCONTROL "Include layout control commands" ${XTRKCAD_USE_LAYOUTCONTROL_DEFAULT})
 OPTION(XTRKCAD_USE_DOXYGEN "Generate internals documentation using doxygen" ${XTRKCAD_USE_DOXYGEN_DEFAULT})
 
 IF(APPLE)
@@ -85,8 +79,8 @@
 # Setup some global options for installation ...
 SET(XTRKCAD_MAJOR_VERSION "4")
 SET(XTRKCAD_MINOR_VERSION "2")
-SET(XTRKCAD_RELEASE_VERSION "2")
-SET(XTRKCAD_VERSION_MODIFIER "")
+SET(XTRKCAD_RELEASE_VERSION "4")
+SET(XTRKCAD_VERSION_MODIFIER "a")
 SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")
 
 IF(WIN32)

=== app/bin/CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 SET(SOURCES
 	${LIN_SOURCES}
 	bllnhlp.c
+	cblock.c
 	ccurve.c
 	cdraw.c
 	celev.c
@@ -84,6 +85,7 @@
 	csplit.c
 	cstraigh.c
 	cstruct.c
+	cswitchmotor.c
 	ctext.c
 	ctodesgn.c
 	ctrain.c
@@ -120,14 +122,6 @@
 	tstraigh.c
 	utility.c
 	)
-
-IF(XTRKCAD_USE_LAYOUTCONTROL)
-	SET(SOURCES
-		${SOURCES}
-		cblock.c
-		cswitchmotor.c
-		)
-ENDIF(XTRKCAD_USE_LAYOUTCONTROL)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
 INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})

=== distribution/posix/CMakeLists.txt ===
# Setup packaging ...
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTrackCAD is a CAD program for designing model railroad layouts.")
SET(CPACK_GENERATOR "RPM" "STGZ")
SET(CPACK_SOURCE_GENERATOR "TGZ" "TBZ2" "ZIP")
SET(CPACK_PACKAGE_RELEASE 1)
SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
SET(CPACK_RPM_PACKAGE_GROUP "Applications/Engineering")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}////xtrkcad-desc.txt")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}-${CPACK_PACKAGE_RELEASE}.${CMAKE_SYSTEM_PROCESSOR}")

SET(CPACK_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} )
SET(CPACK_PACKAGING_INSTALL_PREFIX ${CPACK_INSTALL_PREFIX})

# get the specific configuration for each packager
SET(CPACK_PROJECT_CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/package.txt)

SET(CPACK_PACKAGE_VENDOR "XTrackCAD Fork Project")
SET(CPACK_RPM_PACKAGE_REQUIRES "glibc gtk2 webkitgtk")
# exclude these directories from the  rpm
SET(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
	"/usr/local"
	"/usr/local/share"
	"/usr/local/bin" 
	"/usr/share/locale"
	"/usr/share/locale/*"
	"/usr/local/share/locale"
	"/usr/local/share/locale/*"
)

SET(CPACK_RPM_CHANGELOG_FILE "${CMAKE_CURRENT_SOURCE_DIR}////changelog.txt")

INCLUDE(CPack)

=== app/wlib/gtklib/CMakeLists.txt ===

FILE(GLOB HEADERS *.h)

INCLUDE (FindGTKUnixPrint.cmake)

SET(SOURCES
	gtkbitmap.c
	gtkbutton.c
	gtkcolor.c
	gtkdraw-cairo.c
	filesel.c
	gtkfont.c
	gtkhelp.c
	gtklist.c
	gtkmenu.c
	gtkmisc.c
	gtksimple.c
	gtksingle.c
	gtksplash.c
	gtktext.c
	gtkwindow.c
	gtkxpm.c
	print.c
	wpref.c
	)

SET_SOURCE_FILES_PROPERTIES(wpref.c PROPERTIES COMPILE_FLAGS -DEXPORT=)

INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GTK_UNIX_PRINT_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GTK_WEBKIT_INCLUDE_DIRS})

ADD_LIBRARY(xtrkcad-wlib ${HEADERS} ${SOURCES})
TARGET_LINK_LIBRARIES(xtrkcad-wlib ${GTK_LIBRARIES})
TARGET_LINK_LIBRARIES(xtrkcad-wlib ${GTK_UNIX_PRINT_LIBRARIES})
TARGET_LINK_LIBRARIES(xtrkcad-wlib ${GTK_WEBKIT_LIBRARIES})

=== debian/changelog ===
xtrkcad (1:4.2.4a-1) unstable; urgency=medium

  [ Mike Gabriel & Jörg Frings-Fürst ]
  * New Maintainer (Closes: #849139):
    - debian/control: Add myself as maintainer.
    - debian/copyright: Add myself to debian/*.
    Thanks for your work to Daniel E. Markle.
  * New upstream release (Closes: #847843, #784423).
    - New debian/patches/0100-gtk.patch to prevent gcc format-security errors.
  * Remove debian/source/options to use the standard compression.
  * Remove debian/source.lintian-overrides.
  * Change debian/compat to 10 (no changes required).
  * debian/control:
    - Add Mike Gabriel <sunweaver@debian.org> as Uploader (Closes: #847843).
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Bump debhelper B-D minimum version to 10.
    - Add Vcs-* tags.
    - Change Priority from extra to optional to match with current ftp-master
      override file.
    - Rewrite package description.
    - Remove not longer used libglib2.0-dev, libx11-dev, netpbm, imagemagick 
      and libcairo2-dev from Build-Depends.
  * debian/rules:
   - Enable hardening.
   - Remove now unused parameter from dh_auto_configure.
   - Add -DCMAKE_INSTALL_PREFIX:PATH=/usr/ to dh_auto_configure.
  * New debian/patches/0700-info_file.patch to add requested directory entry
    and INFO-DIR-SECTION.
  * New debian/patches/0900-spelling-errors.patch to correct some typos.
  * Rewrite debian/watch to use the sf redirector.
    - Add files to exclude in debian/copyright.
  * Rewrite debian/copyright.
  * Split package into arch-indep and arch-dep packages:
    - New package xtrkcad-common for the arch-indep files.
      + Add section for xtrkcad-common into debian/control.
      + New debian/xtrkcad-common.install.
      + Rewrite debian/xtrkcad.install.
      + Remove now useless override_dh_install for debian/rules.
      + New debian/NEWS.debian.
      + New debian/xtrkcat-common.doc-base.
      + New debian/patches/0705-help_path.patch:
        - Change the directory with the help html files to the installation
          specific.
  * Remove useless debian/docs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Jan 2017 15:43:42 +0100

=== debian/control ===
Source: xtrkcad
Section: editors
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libgtk2.0-dev,
 libwebkitgtk-dev
Standards-Version: 3.9.8
Homepage: https://xtrkcad.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/xtrkcad.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xtrkcad.git

Package: xtrkcad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xtrkcad-common (= ${source:Version})
Description: CAD program for designing model railroad layouts
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.

Package: xtrkcad-common
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 xtrkcad (<< 1:4.2.4a-1)
Replaces:
 xtrkcad (<< 1:4.2.4a-1)
Description: CAD program for designing model railroad layouts (common files)
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.
 .
 This package contains the demo, examples, parameter and the help files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
			-DXTRKCAD_USE_GETTEXT=ON \
			-DXTRKCAD_USE_GTK=ON \
			-DCMAKE_INSTALL_PREFIX:PATH=/usr/

=== debian/watch ===
version=4
#opts="downloadurlmangle=s/$/\//,filenamemangle=s/$//" \
  http://sf.net/xtrkcad-fork/ xtrkcad-source-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
